!set title=Propiedades algebraicas II
!if $wims_read_parm!=$empty
 !goto $wims_read_parm
!endif
oef2wims_version=3.22
author=XIAO Gang
email=xiao@unice.fr

ansorder=c
varcnt=27
prevarcnt=26
postvarcnt=0
replycnt=0
choicecnt=1
conditioncnt=0
feedbackcnt=0
format=html

val1=$imagedir
val2=$confparm1
val3=$confparm2
val4=$confparm3
val5=$confparm4

!if $testcondition=yes
 !goto test
!endif
!if $status=waiting
 !exit
!endif

val6=Siempre verdadero
val7=Siempre falso
val8=Depende
val9=$val6,$val7,$val8
tmp0=!shuffle A,B,C

val10=$(tmp0)
tmp0=!item 1 of $val10

val11=$(tmp0)
tmp0=!item 2 of $val10

val12=$(tmp0)
tmp0=!item 3 of $val10

val13=$(tmp0)
tmp0=!randitem AB,BA

val14=$(tmp0)
tmp0=!randitem $val11+$val12,$val12+$val11

val15=$(tmp0)
tmp0=!shuffle $val11,$val11$val12,$val11$val12$val13,$val13^2

val16=$(tmp0)
tmp0=!item 1 of $val16

val17=$(tmp0)
tmp0=!item 2 of $val16

val18=$(tmp0)
tmp0=!item 3 of $val16

val19=$(tmp0)
tmp0=!randitem =,\ne

val20=$(tmp0)

!ifval $val20 issametext \ne
val21=$val7
!else
val21=$val6
!endif
tmp0=!randint 2, 10

val22=$[rint($(tmp0))]
tmp0=!randitem +,-

val23=$(tmp0)
tmp0=!randitem $val11 $val23 I_$val22,$val11 $val23 $val11^2,$val11^2 $val23 $val11,I_$val22 $val23 $val11

val24=$(tmp0)
tmp0=!randitem ($val11$val13)$val12,($val12$val13)$val11

tmp1=!randitem ($val11$val12)$val11,$val11($val12$val11)

tmp2=!randitem ($val12$val11)$val12,$val12($val12$val11)

tmp3=!randitem $val11^2($val12+$val13),($val12+$val13)$val11^2

tmp=!trim \($val11$val12 $val20 $val12$val11), $val8	\($val17 + $val18 $val20 $val18 + $val17), $val21	\($val17 + $val12$val13 $val20 $val13$val12 + $val17), $val8	\($val11($val12$val13) $val20 ($val11$val12)$val13), $val21	\($val11($val12$val13) $val20 $(tmp0)), $val8	\($val11 + ($val12 + $val13) $val20 A + (B + C)), $val21	\(($val11 + $val12)($val11 - $val12) $val20 $val11^2 - $val12^2), $val8	\(($val11 + $val12)^2 $val20 $val11^2 +2$val11$val12 + $val12^2), $val8	\($val11($val12+$val13) $val20 ($val12+$val13)$val11), $val8	\($val11($val12+$val13) $val20 $val11($val13+$val12)), $val21	\($val11($val12+$val13) $val20 $val12($val13+$val11)), $val8	\($val11^2 + $val11$val12 $val20 $val11($val15)), $val21	\($val11^2 + $val12$val11 $val20 $val11($val15)), $val8	\($val11^2 + $val11$val12 $val20 ($val15)$val11), $val8	\($val11^2 + $val12$val11 $val20 ($val15)$val11), $val21	\($val11^2$val12 $val20 $val11($val11$val12)), $val21	\($val11$val12^2 $val20 ($val11$val12)$val12), $val21	\($val11^2$val12 $val20 $(tmp1)), $val8	\($val11$val12^2 $val20 $(tmp2)), $val8	\($val11($val12+$val13)$val11 $val20 $(tmp3)), $val8	\($val11($val24) $val20 ($val24)$val11), $val21		
val25=!translate internal $	\
$ to ;; in $tmp
tmp=!translate internal $	$ to ; in $val25

tmp=!nonempty rows $tmp
tmp=!randrow $tmp
tmp0=!translate internal $\
$ to ; in $tmp
val25=$(tmp0)
tmp0=!item 1 of $val25

val26=$(tmp0)
tmp0=!item 2 of $val25

val27=$(tmp0)
!if C isin $val26 
val28=Sean \(A), \(B), \(C) tres matrices $val22×$val22 
!else
!if B isin $val26 
val28=Sean \(A), \(B) dos matrices $val22×$val22 
!else
val28=Sea \(A) una matriz $val22×$val22 
!endif
!endif
choicename1=La respuesta
choicegood1=$val27
choicebad1=$val9
question=__EXECUTED_1692754_EXERCISE__

!goto stat

!exit

:question
$()$val28. żEs cierta la siguiente propiedad?	<p><center>	 $val26	</center><p>	 
!if I_$val22 isin $val26 
$()	 (
!insmath I_$val22
$() es la matriz identidad $val22×$val22 .)	 
!endif
$()	
$()
!exit

:hint
$()
$()
!exit

:help
$()
$()
!exit

:solution
$()
$()
!exit

:feedback

!exit

:test

!exit

:stat
vsavelist=22,26,28
embedcnt=0
